// Colour variables
$white: hsl(0, 0%, 100%);
$black: hsl(0, 0%, 4%);
$light: hsl(0, 0%, 96%);
$dark: hsl(0, 0%, 21%);
$primary: hsl(171, 100%, 41%);
$info: hsl(217, 71%, 53%);
$success: hsl(141, 71%, 48%);
$warning: hsl(48, 100%, 67%);
$danger: hsl(348, 100%, 61%);

// Style
div.container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-gap: 1em;
    grid-template-areas: 'box1 box1 box3 box3 box4 box4'
                         'box2 box2 box3 box3 box4 box4'
                         'box5 box5 box5 box5 box4 box4';
}

@media (min-width: 0px) and (max-width: 768px) {
    div.container {
        grid-template-columns: 1fr;
        grid-template-rows: repeat(6, 1fr);
        grid-template-areas: 'box1'
                             'box2'
                             'box3'
                             'box4'
                             'box5'
                             'box6';
    }
}

div {
    font-family: sans-serif;
    color: $white;
    border: 1px solid $white;
    border-radius: 5px;
    padding: 20px;

    .box1 {
        grid-area: box1;
        background-color: $primary;
    }

    .box2 {
        grid-area: box2;
        background-color: $warning;
        color: $dark;
    }

    .box3 {
        grid-area: box3;
        background-color: $info;
    }

    .box4 {
        grid-area: box4;
        background-color: $success;
    }

    .box5 {
        grid-area: box5;
        background-color: $danger;
    }
}